Subject: Re: [PATCH net-next] ipv6: recreate ipv6 link-local addresses when increasing MTU over IPV6_MIN_MTU

From: Alexander Duyck <[email-masked]>
Date: Mon, 26 Oct 2015 13:52:29 -0700

On 10/26/2015 01:45 PM, Hannes Frederic Sowa wrote:
> Hi,
>
> On Mon, Oct 26, 2015, at 20:16, Jay Vosburgh wrote:
>> Hannes Frederic Sowa <[email-masked]> wrote:
>>
>>> Hello Alex,
>>>
>>> On Mon, Oct 26, 2015, at 16:52, Alexander Duyck wrote:
>>>> Seems like this code isn't quite correct.  You are calling ipv6_add_dev
>>>> for slave devices, and if I understand things correctly I don't believe
>>>> that was happening before and may be an unintended side effect.
>>> Ah, btw., autoconf and ipv6 operation on IFF_SLAVE devices is actually
>>> desired nowadays and don't think we can change this. See also:
>>> <https://patchwork.ozlabs.org/patch/531196/>
>> 	IPv6 addrconf on IFF_SLAVE devices was disabled for bonding
>> slaves in commit c2edacf80e15 because it caused issues with snooping
>> switches.
>>
>> 	This is also referenced in
>>
>> https://bugzilla.redhat.com/show_bug.cgi?id=236750
>>
>> 	Won't re-enabling autoconf on IFF_SLAVE devices cause that issue
>> to return?
> Both patches don't enable autoconf on IFF_SLAVE devices. Sorry for being
> imprecise. The referred patch was changing the behavior to whether the
> device had a master device.

Yes, the IFF_SLAVE comment on my part was an error in interpretation of 
the code.

> @Alex, I will take your patch and submit it with the necessary guards to
> not enable ipv6 again if we forcefully disable ipv6 and later on shrink
> and increase the MTU again. I will do so in your name. Thanks again for
> the patch!

No problem.  If you want to you can take over authorship of the patch 
and just leave my signed-off-by on there.  I'm good either way.

- Alex